# copyright: 'Huynh Duong Phuong Vi @ 2013-2015'
# suforyou.vn@gmail.com
module S4U
	module S4u_Select
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_select"
		TOOL="Select"
		IS_WIN = (Sketchup.version.to_f >=14) ? (Sketchup.platform == :platform_win) : (RUBY_PLATFORM.include?('mswin') || RUBY_PLATFORM.include?('mingw'))
		IS_OSX = (Sketchup.version.to_f >=14) ? (Sketchup.platform == :platform_osx) : (RUBY_PLATFORM.include?('darwin'))
		Strings = LanguageHandler.new( NAME + ".strings")
		ext = SketchupExtension.new(("s4u-" + Strings.GetString(TOOL)),File.join(NAME,(NAME + "_loader")))
		ext.copyright= 'Huynh Duong Phuong Vi @ 2013-2015'
		ext.creator = 'Huynh Duong Phuong Vi(suforyou.vn@gmail.com)'
		ext.version = '2.1.1'
		ext.description = Strings.GetString("Select vertical edges,horizontal edges,length edges or slope edges.Select vertical faces,horizontal faces,slope faces or area faces.Select same length,select same area ,select face parallel or step faces.")
		Sketchup.register_extension ext, true
	end
end
